SimulatorPresageCallback Class Reference
Inheritance diagram for SimulatorPresageCallback:
Collaboration diagram for SimulatorPresageCallback:

## Public Member Functions

| SimulatorPresageCallback (std::stringstream &sstream)
| ~SimulatorPresageCallback ()
std::string | get_past_stream () const
std::string | get_future_stream () const
Public Member Functions inherited from PresageCallback
virtual | ~PresageCallback ()

## Private Attributes

std::stringstream & | m_sstream
const std::string | m_empty

## Additional Inherited Members

Protected Member Functions inherited from PresageCallback
| PresageCallback ()

## Detailed Description

Definition at line 62 of file presageSimulator.cpp.

## Constructor & Destructor Documentation

## SimulatorPresageCallback()

SimulatorPresageCallback::SimulatorPresageCallback | ( | std::stringstream & | sstream | ) |

inline

Definition at line 66 of file presageSimulator.cpp.

## ~SimulatorPresageCallback()

SimulatorPresageCallback::~SimulatorPresageCallback | ( |  | ) |

inline

Definition at line 67 of file presageSimulator.cpp.

## Member Function Documentation

## get_future_stream()

std::string SimulatorPresageCallback::get_future_stream | ( |  | ) | const

inline virtual

Implements PresageCallback.

Definition at line 70 of file presageSimulator.cpp.

References m_empty.

## get_past_stream()

std::string SimulatorPresageCallback::get_past_stream | ( |  | ) | const

inline virtual

Implements PresageCallback.

Definition at line 69 of file presageSimulator.cpp.

References m_sstream.

## Member Data Documentation

## m_empty

const std::string SimulatorPresageCallback::m_empty

private

Definition at line 74 of file presageSimulator.cpp.

Referenced by get_future_stream().

## m_sstream

std::stringstream& SimulatorPresageCallback::m_sstream

private

Definition at line 73 of file presageSimulator.cpp.

Referenced by get_past_stream().

The documentation for this class was generated from the following file:

- /build/presage-hvZ4Ld/presage-0.9.1/src/tools/presageSimulator.cpp